<?php
error_reporting(E_ALL);
ini_set('display_errors', 0 );
header('Content-Type: text/html; charset=utf-8');
include("configuracao.php");//confirma no banco de dados
include("inclusos/funcoes.php");
include("seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página


//RECEBE DADOS ORÇAMENTO

$idvenda = $_GET['idvenda'];

//LOG USUARIO
$SalvarLogUsuario = Salvar("logs_usuarios", "idusuario, acao, programa_origem, datacadastro, horacadastro", "'".$_SESSION['usuarioID']."', 'Impressão de Etiquetas da Venda $idvenda', 'null', '".date('Y-m-d')."', '".date('H:i:s')."'");
//FIM LOGUSUARIO      

$SelecionaVenda = Seleciona("vendas", "WHERE idvenda='$idvenda'", "");
while($linha_vendas = mysql_fetch_array($SelecionaVenda)){
	
$idvenda = $linha_vendas['idvenda']; 
$idusuario = $linha_vendas['idusuario']; 
$idcliente = $linha_vendas['idcliente']; 
$datavenda = $linha_vendas['datavenda']; 
$observacao_venda = $linha_vendas['observacao']; 
$vendedor = $linha_vendas['vendedor']; 
$comissao = $linha_vendas['comissao']; 
$valortotal = $linha_vendas['valortotal']; 
$desconto = $linha_vendas['desconto']; 
$nome = $linha_vendas['nome']; 
$status_venda = $linha_vendas['status']; 
$idconta_gerada = $linha_vendas['idconta_gerada']; 
	
}

?>
<!doctype html>
<html ng-app="myApp">
<head>
<title>IMPRIMIR ETIQUETAS - <?php echo $idvenda;?> - HOME ELEGANCE!</title>

<style type="text/css">
body {
	margin-right: 0cm;
	margin-bottom: 0cm;
	margin-left: 0cm;
	
	padding-top: 0cm;
	padding-right: 0cm;
	padding-bottom: 0cm;
	padding-left: 0cm;
	
	width: 21cm;
	height: 29.7cm;	
	background-color: #FFFFFF;
	color: #333;
	font-size:11px;	
	border: 0px solid #989898;
	margin-top: 40px;
}
body,td,th {
	font-family: Segoe, "Segoe UI", "DejaVu Sans", "Trebuchet MS", Verdana, sans-serif;
}

.etiqueta{
	width: 252.09px;
	height: 96px;
	border: 0px solid #767676;
	float:left;	
	display:table;
	text-align:center;
	margin: 2px;
		
}

.etiqueta_meio{
	width: 282.09px;
	height: 96px;
	border: 0px solid #767676;
	float:left;	
	display:table;
	text-align:center;
	margin: 2px;
	margin-left: 8px;
	margin-right: 12px;
		
}

.etiqueta_final{
	width: 222.09px;
	height: 96px;
	border: 0px solid #767676;
	float:left;	
	display:table;
	text-align:center;
	margin: 2px;
	
}
</style>
<meta charset="utf-8">
</head>

<body>
<?php
$Seleciona_produtos = Seleciona("vendas_produtos", "WHERE idvenda='$idvenda'", "ORDER BY titulo_produto ASC");
$cont_linha = 0;
while($linha_produtos = mysql_fetch_array($Seleciona_produtos)){	

$idproduto_loja = $linha_produtos['idproduto_loja'];
$QuantidadeEtiquetas = $linha_produtos['quantidade'];

$SelecionaDadosProdutos = Seleciona("produtos_loja", "WHERE idproduto_loja='$idproduto_loja'", "LIMIT 0,1");
while($dados_produto = mysql_fetch_array($SelecionaDadosProdutos)){	
	$Cor = $dados_produto['cor'];
	$Tamanho = $dados_produto['tamanho'];
}

//LOOP QUANTIDADE
$i = 1;
while( $i <= $QuantidadeEtiquetas ){

if($cont_linha == 0){
	$classe = "etiqueta";	
}

if($cont_linha == 1){
	$classe = "etiqueta_meio";	
}

if($cont_linha == 2){
	$classe = "etiqueta_final";	
}
//echo $cont_linha;
?>

<div class="<?php echo $classe;?>">
<img src="img/logo.png" width="200" height="48"><br>
<strong><?php echo $linha_produtos['titulo_produto'];?></strong><br>
Qtde.: <?php echo $linha_produtos['quantidade'];?><br>
<?php echo $nome;?>
</div>

<?php 
$classe = "";
if($cont_linha < 2){
	$cont_linha++;
}else{
	$cont_linha = 0;	
}
$i++;
}

}?>
</body>
</html>